> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Virtual Cards

> Get all Virtual Cards for a customer account



## OpenAPI

````yaml GET /cards/{user_id}
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /cards/{user_id}:
    get:
      tags:
        - Cards
      summary: Get All Customer Virtual Cards
      description: Get all Virtual Cards for a customer account
      operationId: getAllCustomerCards
      parameters:
        - name: user_id
          in: path
          description: User Identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchCardsResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    FetchCardsResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PaginatedCards'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    PaginatedCards:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CardListItem'
        page:
          type: integer
        total_count:
          type: integer
        total_pages:
          type: integer
    CardListItem:
      type: object
      properties:
        card_brand:
          type: string
          enum:
            - Visa
            - Mastercard
          description: Brand of the card
        card_id:
          type: string
          example: card_12345
        card_name:
          type: string
          example: John D. Card
        card_status:
          type: string
          enum:
            - Active
            - Inactive
            - Blocked
            - Deleted
          description: Status of the card
        card_type:
          type: string
          enum:
            - Lite
            - Multiuse-Lite
            - Virtual
            - Physical
          description: Type of card
        currency:
          type: string
          example: USD
        expiration:
          type: string
          example: 12/25
        first_six:
          type: string
          example: '123456'
        last_four:
          type: string
          example: '7890'

````